Coord Arithmetics.
Mapping grid -> physical space (spherical coordinates)

() More...

## Functions

Mtbl | Lorene::operator+ (const Coord &)
Mtbl | Lorene::operator- (const Coord &)
| `-` `Coord`
Mtbl | Lorene::operator+ (const Coord &a, const Coord &b)
| `Coord` + `Coord`
Mtbl | Lorene::operator- (const Coord &a, const Coord &b)
| `Coord` - `Coord`
Mtbl | Lorene::operator* (const Coord &a, const Coord &b)
| `Coord` * `Coord`
Mtbl | Lorene::operator+ (const Coord &a, const Mtbl &b)
| `Coord` + `Mtbl`
Mtbl | Lorene::operator- (const Coord &a, const Mtbl &b)
| `Coord` - `Mtbl`
Mtbl | Lorene::operator* (const Coord &a, const Mtbl &b)
| `Coord` * `Mtbl`
Mtbl | Lorene::operator+ (const Mtbl &a, const Coord &b)
| `Mtbl` + `Coord`
Mtbl | Lorene::operator- (const Mtbl &a, const Coord &b)
| `Mtbl` - `Coord`
Mtbl | Lorene::operator* (const Mtbl &a, const Coord &b)
| `Mtbl` * `Coord`

## Detailed Description

()

## Function Documentation

## operator*() [1/3]

Mtbl Lorene::operator* | ( | const Coord & | a,
|  | const Coord & | b )

`Coord` * `Coord`

Definition at line 139 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator*() [2/3]

Mtbl Lorene::operator* | ( | const Coord & | a,
|  | const Mtbl & | b )

`Coord` * `Mtbl`

Definition at line 158 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator*() [3/3]

Mtbl Lorene::operator* | ( | const Mtbl & | a,
|  | const Coord & | b )

`Mtbl` * `Coord`

Definition at line 149 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator+() [1/4]

Mtbl Lorene::operator+ | ( | const Coord & | co | ) |

- `Coord`

Definition at line 65 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator+() [2/4]

Mtbl Lorene::operator+ | ( | const Coord & | a,
|  | const Coord & | b )

`Coord` + `Coord`

Definition at line 83 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator+() [3/4]

Mtbl Lorene::operator+ | ( | const Coord & | a,
|  | const Mtbl & | b )

`Coord` + `Mtbl`

Definition at line 93 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator+() [4/4]

Mtbl Lorene::operator+ | ( | const Mtbl & | a,
|  | const Coord & | b )

`Mtbl` + `Coord`

Definition at line 100 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator-() [1/4]

Mtbl Lorene::operator- | ( | const Coord & | co | ) |

`-` `Coord`

Definition at line 72 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator-() [2/4]

Mtbl Lorene::operator- | ( | const Coord & | a,
|  | const Coord & | b )

`Coord` - `Coord`

Definition at line 111 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator-() [3/4]

Mtbl Lorene::operator- | ( | const Coord & | a,
|  | const Mtbl & | b )

`Coord` - `Mtbl`

Definition at line 121 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().

## operator-() [4/4]

Mtbl Lorene::operator- | ( | const Mtbl & | a,
|  | const Coord & | b )

`Mtbl` - `Coord`

Definition at line 128 of file coord_arithm.C.

References Lorene::Coord::c, and Lorene::Coord::fait().